import {  myFetch } from "../utils/fetch";
import { httpApi } from "@/common/js/baseUrl";
import zlbApi from "@/api/zlbApi";
// 发布房屋 '/fwzlRentOut/add'
export function publishHouse(data) {
  const url = zlbApi.fwzlRentOutAdd; // '/fwzlRentOut/add'
  return myFetch(url, "post", data, "json");
}

// 查询发布记录 '/fwzlRentOut/getFwzlRentOutListOfMy'
export function getPushRecordList(data) {
  const url = zlbApi.getFwzlRentOutListOfMy; // '/fwzlRentOut/getFwzlRentOutListOfMy'
  return myFetch(url, "post", data, "json");
}

// 修改发布记录 '/fwzlRentOut/editById'
export function modifyPushRecord(data) {
  const url = zlbApi.fwzlRentOutEditById; // '/fwzlRentOut/editById'
  return myFetch(url, "post", data, "json");
}

// 查询发布房屋详情 '/fwzlRentOut/getOneById'
export function getHouseDetail(data) {
  const url = zlbApi.fwzlRentOutGetOneById; // '/fwzlRentOut/getOneById'
  return myFetch(url, "post", data, "json");
}

// 删除发布记录 '/fwzlRentOut/deleteById'
export function deletePublishRecord(data) {
  const url = zlbApi.fwzlRentOutDeleteById; // '/fwzlRentOut/deleteById'
  return myFetch(url, "post", data, "json");
}

// 我要租房列表 '/fwzlRent/getFwzlRentList'
export function getRentList(data) {
  const url = zlbApi.getFwzlRentList; // '/fwzlRent/getFwzlRentList'
  return myFetch(url, "post", data, "json");
}
